Subject: Re: [Isis-wg] OSPF and IS-IS Scalability

From: Hannes Gredler <[email-masked]>
Date: Mon, 20 Aug 2001 18:05:08 +0200

manav,

i do assume dave was talking about the _router_ LSA itself.
which has about 65K "storage space", where IS-IS has
1492*256=381K storage space [altough in practise never reached]

---

sure OSPF can originate more information in different LSA types,
however experience has shown that exactly this "capability" is
the scaling harm of OSPF ... -> if you have to distribute information
by _flooding_, better dense pack your information elements;

/hannes

On Mon, Aug 20, 2001 at 03:41:47PM +0530, Manav Bhatia wrote:
| Hi Dave OR if anybody else can clear this point ..
| 
| I was going through your presentation archived at nanog where you have
| compared the two link state protocols viz IS-IS and OSPF .. I am working on
| IS-IS and am not much aware of OSPF and i was looking at the scalabilities
| issues related to both of the protocols. There you have said that the
| problem with OSPF is that in theory OSPF topology is limited to how much we
| can stuff in the router LSA as each router gets one router LSA and it cant
| be bigger than the biggest of the IP datagram (64K) and so can contain some
| O(5000) links.
| And the problem you said with IS-IS is the number of LSPs a single router
| can issue which is 256. My question is that how can we say that in OSPF a
| router has to stuff all its link database in ** one ** LSA. We have the
| mechanism of I-bit and the M-bit wherein we control the division of a large
| topological database description into multiple messages.
| 
| Can you please throw some light on this.
| 
| Thanks and Regards,
| Manav Bhatia
| "C is not a big language, and is not well served by a big book." -- K&R2
| 
| 
| 
| _________________________________________________________
| Do You Yahoo!?
| Get your free @yahoo.com address at http://mail.yahoo.com
| 
| _______________________________________________
| Isis-wg mailing list  -  [email-masked]
| http://external.juniper.net/mailman/listinfo/isis-wg
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg